## mafft 6.850

=== core/Makefile ===
PREFIX = /usr/local
LIBDIR = $(PREFIX)/lib/mafft
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1

#MNO_CYGWIN = -mno-cygwin

#ENABLE_MULTITHREAD = -Denablemultithread
#Uncomment this to enable multithreading (linux only)

CC = gcc
CFLAGS = -O3
#CFLAGS =  -O0  -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3

MYCFLAGS = $(MNO_CYGWIN) $(ENABLE_MULTITHREAD) $(CFLAGS)

ifeq ($(ENABLE_MULTITHREAD),-Denablemultithread)
LIBS = -lm  -lpthread
else
LIBS = -lm
endif

INSTALL = install

PROGS = dvtditr dndfast7 dndblast sextet5 mafft-distance pairlocalalign \
		pair2hat3s multi2hat3s rnatest pairash \
        splittbfast disttbfast tbfast mafft-profile f2cl mccaskillwrap contrafoldwrap countlen \
		seq2regtable regtable2seq score getlag dndpre dndpre2 setcore replaceu restoreu
SCRIPTS = mafft mafft-homologs.rb
OBJREPLACEU = mtxutl.o io.o replaceu.o defs.o mltaln9.o
OBJRESTOREU = mtxutl.o io.o restoreu.o defs.o mltaln9.o
OBJREGTABLE2SEQ = mtxutl.o io.o regtable2seq.o defs.o mltaln9.o
OBJSEQ2REGTABLE = mtxutl.o io.o seq2regtable.o defs.o
OBJCOUNTLEN = mtxutl.o io.o countlen.o defs.o
OBJF2CL = mtxutl.o io.o f2cl.o constants.o defs.o
OBJMCCASKILLWRAP = mtxutl.o io.o mccaskillwrap.o constants.o defs.o mltaln9.o
OBJCONTRAFOLDWRAP = mtxutl.o io.o contrafoldwrap.o constants.o defs.o mltaln9.o
OBJMULTI2HAT3S = mtxutl.o io.o mltaln9.o tddis.o constants.o \
				 multi2hat3s.o defs.o fft.o fftFunctions.o
OBJPAIR2HAT3S = mtxutl.o io.o mltaln9.o tddis.o constants.o \
				pair2hat3s.o defs.o fft.o fftFunctions.o
OBJRNATEST = mtxutl.o io.o mltaln9.o tddis.o constants.o Lalignmm.o \
			 rna.o rnatest.o defs.o fft.o fftFunctions.o
OBJPAIRASH = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
			 Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genGalign11.o genalign11.o Lalign11.o SAalignmm.o \
			 pairash.o defs.o fft.o fftFunctions.o
OBJPAIRLOCALALIGN = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		            Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genGalign11.o genalign11.o Lalign11.o SAalignmm.o \
					pairlocalalign.o defs.o fft.o fftFunctions.o
OBJDUMMY = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			disttbfast_dummy.o dummy.o defs.o fft.o fftFunctions.o
OBJSPLITFROMALN = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			Lalign11.o splitfromaln.o defs.o fft.o fftFunctions.o
OBJSPLITTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			Lalign11.o splittbfast.o defs.o fft.o fftFunctions.o
OBJSPLITTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			Lalign11.o splittbfast2.o defs.o fft.o fftFunctions.o
OBJSPLITTBFASTP = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			Lalign11.o defs.o fft.o fftFunctions.o
OBJDISTTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			disttbfast.o defs.o fft.o fftFunctions.o addfunctions.o
OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
			tbfast.o defs.o fft.o fftFunctions.o addfunctions.o
OBJTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o MSalignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
			tbfast2.o defs.o fft.o fftFunctions.o
OBJSETCORE = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			setcore.o defs.o fft.o fftFunctions.o
OBJTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o  partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		   Falign.o Falign_localhom.o Galign11.o fftFunctions.o fft.o  \
		   tditeration.o tditr.o defs.o SAalignmm.o treeOperation.o
OBJDVTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o  partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
			Falign.o Falign_localhom.o Galign11.o MSalignmm.o fftFunctions.o fft.o  \
			tditeration.o dvtditr.o defs.o SAalignmm.o treeOperation.o
OBJGETLAG = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			getlag.o defs.o fft.o fftFunctions.o
OBJGAPFILL = mtxutl.o io.o constants.o gapfill.o defs.o
OBJDNDFAST5 = dndfast5.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDBLAST = dndblast.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST7 = dndfast7.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST6 = dndfast6.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST4 = dndfast4.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST6 = dndfast6.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJSEXTET5 = io.o constants.o mtxutl.o mltaln9.o tddis.o sextet5.o defs.o
OBJDISTANCE = io.o constants.o mtxutl.o mltaln9.o tddis.o mafft-distance.o defs.o
OBJTRIPLET6 = io.o constants.o mtxutl.o mltaln9.o tddis.o triplet6.o defs.o
OBJTRIPLET5 = io.o constants.o mtxutl.o mltaln9.o tddis.o triplet5.o defs.o
OBJOCTET4 = io.o constants.o mtxutl.o mltaln9.o tddis.o octet4.o defs.o
OBJDNDPRE = dndpre.o io.o constants.o mtxutl.o mltaln9.o defs.o
OBJDNDPRESCORE = dndpre2.o io.o constants.o mtxutl.o mltaln9.o defs.o
OBJGALN = io.o mtxutl.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o MSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
          SAalignmm.o Galign11.o Falign.o Falign_localhom.o fftFunctions.o fft.o mafft-profile.o defs.o
OBJSCORE = io.o mtxutl.o mltaln9.o score.o constants.o defs.o

HEADER = mltaln.h mtxutl.h
FFTHEADER = fft.h

MANPAGES = mafft.1 mafft-homologs.1



all : $(PROGS) $(SCRIPTS)
	cp $(SCRIPTS) ../scripts
	chmod 755 ../scripts/*
	cp $(PROGS) ../binaries
	chmod 755 ../binaries/*
	cp $(MANPAGES) ../binaries
	@echo done.

univscript: univscript.tmpl Makefile
	sed "s:_PROGS:$(PROGS):" univscript.tmpl  > univscript

mafft: mafft.tmpl
	sed "s:_LIBDIR:$(LIBDIR):" mafft.tmpl  > mafft

mafft-homologs.rb: mafft-homologs.tmpl
#	cp mafft-homologs.tmpl mafft-homologs.rb
	sed "s:_BINDIR:$(BINDIR):" mafft-homologs.tmpl  > mafft-homologs.rb

mltaln.h : functions.h
	touch mltaln.h

tbfast : $(OBJTBFAST)
	$(CC) -o $@ $(OBJTBFAST) $(MYCFLAGS) $(LIBS)

tbfast2 : $(OBJTBFAST2)
	$(CC) -o $@ $(OBJTBFAST2) $(MYCFLAGS) $(LIBS)

disttbfast : $(OBJDISTTBFAST)
	$(CC) -o $@ $(OBJDISTTBFAST) $(MYCFLAGS) $(LIBS)

splittbfast : $(OBJSPLITTBFAST)
	$(CC) -o $@ $(OBJSPLITTBFAST) $(MYCFLAGS) $(LIBS)

splitfromaln : $(OBJSPLITFROMALN)
	$(CC) -o $@ $(OBJSPLITFROMALN) $(MYCFLAGS) $(LIBS)

splittbfast2 : $(OBJSPLITTBFAST2)
	$(CC) -o $@ $(OBJSPLITTBFAST2) $(MYCFLAGS) $(LIBS)

dummy : $(OBJDUMMY)
	$(CC) -o $@ $(OBJDUMMY) $(MYCFLAGS) $(LIBS)

setcore : $(OBJSETCORE)
	$(CC) -o $@ $(OBJSETCORE) $(MYCFLAGS) $(LIBS)

countlen : $(OBJCOUNTLEN)
	$(CC) -o $@ $(OBJCOUNTLEN) $(MYCFLAGS) $(LIBS)

seq2regtable : $(OBJSEQ2REGTABLE)
	$(CC) -o $@ $(OBJSEQ2REGTABLE) $(MYCFLAGS) $(LIBS)

regtable2seq : $(OBJREGTABLE2SEQ)
	$(CC) -o $@ $(OBJREGTABLE2SEQ) $(MYCFLAGS) $(LIBS)

replaceu : $(OBJREPLACEU)
	$(CC) -o $@ $(OBJREPLACEU) $(MYCFLAGS) $(LIBS)

restoreu : $(OBJRESTOREU)
	$(CC) -o $@ $(OBJRESTOREU) $(MYCFLAGS) $(LIBS)

f2cl : $(OBJF2CL)
	$(CC) -o $@ $(OBJF2CL) $(MYCFLAGS) $(LIBS)

mccaskillwrap : $(OBJMCCASKILLWRAP)
	$(CC) -o $@ $(OBJMCCASKILLWRAP) $(MYCFLAGS) $(LIBS)

contrafoldwrap : $(OBJCONTRAFOLDWRAP)
	$(CC) -o $@ $(OBJCONTRAFOLDWRAP) $(MYCFLAGS) $(LIBS)

pairlocalalign : $(OBJPAIRLOCALALIGN)
	$(CC) -o $@ $(OBJPAIRLOCALALIGN) $(MYCFLAGS) $(LIBS)

pairash : $(OBJPAIRASH)
	$(CC) -o $@ $(OBJPAIRASH) $(MYCFLAGS) $(LIBS)

rnatest : $(OBJRNATEST)
	$(CC) -o $@ $(OBJRNATEST) $(MYCFLAGS) $(LIBS)

pair2hat3s : $(OBJPAIR2HAT3S)
	$(CC) -o $@ $(OBJPAIR2HAT3S) $(MYCFLAGS) $(LIBS)

multi2hat3s : $(OBJMULTI2HAT3S)
	$(CC) -o $@ $(OBJMULTI2HAT3S) $(MYCFLAGS) $(LIBS)

getlag : $(OBJGETLAG)
	$(CC) -o $@ $(OBJGETLAG) $(MYCFLAGS) $(LIBS)

tditr : $(OBJTDITR)
	$(CC) -o $@ $(OBJTDITR) $(MYCFLAGS) $(LIBS)

dvtditr : $(OBJDVTDITR)
	$(CC) -o $@ $(OBJDVTDITR) $(MYCFLAGS) $(LIBS)

mafft-profile : $(OBJGALN)
	$(CC) -o $@ $(OBJGALN) $(MYCFLAGS) $(LIBS)

gapfill : $(OBJGAPFILL)
	$(CC) -o $@ $(OBJGAPFILL) $(MYCFLAGS) $(LIBS)

dndfast4 : $(OBJDNDFAST4)
	$(CC) -o $@ $(OBJDNDFAST4) $(MYCFLAGS) $(LIBS)

dndfast5 : $(OBJDNDFAST5)
	$(CC) -o $@ $(OBJDNDFAST5) $(MYCFLAGS) $(LIBS)

dndfast6 : $(OBJDNDFAST6)
	$(CC) -o $@ $(OBJDNDFAST6) $(MYCFLAGS) $(LIBS)

dndfast7 : $(OBJDNDFAST7)
	$(CC) -o $@ $(OBJDNDFAST7) $(MYCFLAGS) $(LIBS)

dndblast : $(OBJDNDBLAST)
	$(CC) -o $@ $(OBJDNDBLAST) $(MYCFLAGS) $(LIBS)

dndfast3 : $(OBJDNDFAST3)
	$(CC) -o $@ $(OBJDNDFAST3) $(MYCFLAGS) $(LIBS)

triplet : $(OBJTRIPLET)
	$(CC) -o $@ $(OBJTRIPLET) $(MYCFLAGS) $(LIBS)

triplet3 : $(OBJTRIPLET3)
	$(CC) -o $@ $(OBJTRIPLET3) $(MYCFLAGS) $(LIBS)

sextet3 : $(OBJSEXTET3)
	$(CC) -o $@ $(OBJSEXTET3) $(MYCFLAGS) $(LIBS)

sextet4 : $(OBJSEXTET4)
	$(CC) -o $@ $(OBJSEXTET4) $(MYCFLAGS) $(LIBS)

sextet5 : $(OBJSEXTET5)
	$(CC) -o $@ $(OBJSEXTET5) $(MYCFLAGS) $(LIBS)

mafft-distance : $(OBJDISTANCE)
	$(CC) -o $@ $(OBJDISTANCE) $(MYCFLAGS) $(LIBS)

triplet5 : $(OBJTRIPLET5)
	$(CC) -o $@ $(OBJTRIPLET5) $(MYCFLAGS) $(LIBS)

triplet6 : $(OBJTRIPLET6)
	$(CC) -o $@ $(OBJTRIPLET6) $(MYCFLAGS) $(LIBS)

octet4 : $(OBJOCTET4)
	$(CC) -o $@ $(OBJOCTET4) $(MYCFLAGS) $(LIBS)

dndpre : $(OBJDNDPRE)
	$(CC) -o $@ $(OBJDNDPRE) $(MYCFLAGS) $(LIBS)

dndpre2 : $(OBJDNDPRESCORE)
	$(CC) -o $@ $(OBJDNDPRESCORE) $(MYCFLAGS) $(LIBS)

score : $(OBJSCORE)
	$(CC) -o $@ $(OBJSCORE) $(MYCFLAGS) $(LIBS)

genMtx : $(OBJGENMTX)
	$(CC) -o $@ $(OBJGENMTX) $(MYCFLAGS) $(LIBS)

gapfill.o : gapfill.c $(HEADER)
	$(CC) $(MYCFLAGS) -c gapfill.c

mltaln9.o : mltaln9.c $(HEADER)
	$(CC) $(MYCFLAGS) -c mltaln9.c

tddis.o : tddis.c $(HEADER)
	$(CC) $(MYCFLAGS) -c tddis.c

constants.o : constants.c miyata.h miyata5.h blosum.c DNA.h JTT.c $(HEADER)
	$(CC) $(MYCFLAGS) -c constants.c

defs.o : defs.c 
	$(CC) $(MYCFLAGS) -c defs.c

#A+++alignmm.o : SA+++alignmm.c $(HEADER)
#	$(CC) $(MYCFLAGS) -c SA+++alignmm.c -o A+++alignmm.o

Salignmm.o : Salignmm.c $(HEADER)
	$(CC) $(MYCFLAGS) -c Salignmm.c 

Halignmm.o : Halignmm.c $(HEADER)
	$(CC) $(MYCFLAGS) -c Halignmm.c 

Ralignmm.o : Ralignmm.c $(HEADER)
	$(CC) $(MYCFLAGS) -c Ralignmm.c 

Qalignmm.o : Qalignmm.c $(HEADER)
	$(CC) $(MYCFLAGS) -c Qalignmm.c 

MSalignmm.o : MSalignmm.c $(HEADER)
	$(CC) $(MYCFLAGS) -c MSalignmm.c 

partSalignmm.o : partSalignmm.c $(HEADER)
	$(CC) $(MYCFLAGS) -c partSalignmm.c  

partQalignmm.o : partQalignmm.c $(HEADER)
	$(CC) $(MYCFLAGS) -c partQalignmm.c  

Lalign11.o : Lalign11.c $(HEADER)
	$(CC) $(MYCFLAGS) -c Lalign11.c

=== debian/changelog ===
mafft (6.850-1) unstable; urgency=low

  * New upstream version
  * Adapted patch to new upstream
  * Debhelper 8 (control + compat)
  * debian/rules: Switch to dh
  * debian/links: override broken symlinks created in Makefile

 -- Andreas Tille <tille@debian.org>  Sat, 12 Mar 2011 00:02:43 +0100

=== debian/control ===
Source: mafft
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), quilt (>= 0.47)
Standards-Version: 3.9.1
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mafft/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mafft/trunk/
Homepage: http://align.bmr.kyushu-u.ac.jp/mafft/software/

Package: mafft
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: blast2, lynx, ruby
Enhances: t-coffee
Description: Multiple alignment program for amino acid or nucleotide sequences
 MAFFT is a multiple sequence alignment program which offers three
 accuracy-oriented methods:
  * L-INS-i (probably most accurate; recommended for <200 sequences;
    iterative refinement method incorporating local pairwise alignment
    information),
  * G-INS-i (suitable for sequences of similar lengths; recommended for
    <200 sequences; iterative refinement method incorporating global
    pairwise alignment information),
  * E-INS-i (suitable for sequences containing large unalignable regions;
    recommended for <200 sequences),
 and five speed-oriented methods:
  * FFT-NS-i (iterative refinement method; two cycles only),
  * FFT-NS-i (iterative refinement method; max. 1000 iterations),
  * FFT-NS-2 (fast; progressive method),
  * FFT-NS-1 (very fast; recommended for >2000 sequences; progressive
    method with a rough guide tree),
  * NW-NS-PartTree-1 (recommended for ∼50,000 sequences; progressive
    method with the PartTree algorithm).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Build rules for the Debian package mafft.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with quilt

override_dh_build:
	$(MAKE) -C core PREFIX=/usr/lib/mafft

MAFFT = MAFFT_BINARIES=$(CURDIR)/binaries scripts/mafft
override_dh_auto_test:
	-$(MAFFT) 				test/sample | diff test/sample.fftns2 -
	-$(MAFFT) --maxiterate 100 		test/sample | diff test/sample.fftnsi -
	-$(MAFFT) --globalpair 			test/sample | diff test/sample.gins1 -
	-$(MAFFT) --globalpair --maxiterate 100	test/sample | diff test/sample.ginsi -
	-$(MAFFT) --localpair			test/sample | diff test/sample.lins1 -
	-$(MAFFT) --localpair --maxiterate 100	test/sample | diff test/sample.linsi -

override_dh_clean:
	[ ! -f core/Makefile ] || $(MAKE) -C core clean
	rm -rf binaries/* scripts/*
	dh_clean

override_dh_install:
	$(MAKE) -C core PREFIX=$(CURDIR)/debian/mafft/usr/lib/mafft MANDIR=$(CURDIR)/debian/mafft/usr/share/man/man1 install

## mafft 6.860

=== core/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PREFIX = /usr/local
-LIBDIR = $(PREFIX)/lib/mafft
+LIBDIR = $(PREFIX)/libexec/mafft
 BINDIR = $(PREFIX)/bin
 MANDIR = $(PREFIX)/share/man/man1

=== debian/changelog ===
mafft (6.860-1) unstable; urgency=low

  * New upstream release.
  * Simplified debian/watch.
  * Updated Homepage (debian/control).
  * Compress binary package with xz (debian/control).

 -- Charles Plessy <plessy@debian.org>  Sun, 18 Sep 2011 14:43:10 +0900

mafft (6.859-1) unstable; urgency=low

  * New upstream release.
  * Converted debian/copyright to machine-readable (DEP 5) format.

 -- Charles Plessy <plessy@debian.org>  Sat, 27 Aug 2011 12:06:00 +0900

mafft (6.857-1) unstable; urgency=low

  * New upstream version.
  * Enable multithread, correct FHS path (debian/rules).
  * Removed extra manpage copies instead of patching Makefile and
    installing via debhleper (debian/patches, debian/rules, debian/manpages).
  * Removed debian/dirs, not needed anymore.
  * Run the tests after installation, and allow them to fail (debian/rules).
  * Build when running debian/rules build (override typo, Closes: #636634).
  * Corrected VCS fields in debian/control.
  * Incremented Standards-Version to reflect conformance wiht Policy 3.9.2
    (debian/control, no changes needed). 

 -- Charles Plessy <plessy@debian.org>  Fri, 05 Aug 2011 09:54:09 +0900

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 8), quilt (>= 0.47)
-Standards-Version: 3.9.1
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mafft/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mafft/trunk/
-Homepage: http://align.bmr.kyushu-u.ac.jp/mafft/software/
+Standards-Version: 3.9.2
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mafft/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mafft/trunk/
+Homepage: http://mafft.cbrc.jp/alignment/software/
 
 Package: mafft
 Architecture: any

=== debian/watch ===
version=3
http://align.bmr.kyushu-u.ac.jp/mafft/software/source.html mafft-(.*)-without-extensions-src\.tgz

## mafft 6.864

=== core/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 PROGS = dvtditr dndfast7 dndblast sextet5 mafft-distance pairlocalalign \
 		pair2hat3s multi2hat3s rnatest pairash \
         splittbfast disttbfast tbfast mafft-profile f2cl mccaskillwrap contrafoldwrap countlen \
-		seq2regtable regtable2seq score getlag dndpre dndpre2 setcore replaceu restoreu
+		seq2regtable regtable2seq score getlag dndpre dndpre2 setcore replaceu restoreu version
 SCRIPTS = mafft mafft-homologs.rb
 OBJREPLACEU = mtxutl.o io.o replaceu.o defs.o mltaln9.o
 OBJRESTOREU = mtxutl.o io.o restoreu.o defs.o mltaln9.o
@@ -129,6 +129,9 @@
 mltaln.h : functions.h
 	touch mltaln.h
 
+version : version.c
+	$(CC) -o $@ version.c $(MYCFLAGS)
+
 tbfast : $(OBJTBFAST)
 	$(CC) -o $@ $(OBJTBFAST) $(MYCFLAGS) $(LIBS)
 
@@ -303,6 +306,3 @@
 partQalignmm.o : partQalignmm.c $(HEADER)
 	$(CC) $(MYCFLAGS) -c partQalignmm.c  
 
-Lalign11.o : Lalign11.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c Lalign11.c 
-

=== debian/changelog ===
mafft (6.864-1) unstable; urgency=low

  * New upstream release.
  * Pre-Depends on dpkg (>= 1.15.6) for xz compression support (debian/control).
  * Renamed debian/README.Debian debian/README.test.
  * Track the new website in debian/watch.

 -- Charles Plessy <plessy@debian.org>  Thu, 12 Jan 2012 19:00:31 +0900

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
 
 Package: mafft
 Architecture: any
+# Needed until after Ubuntu 12.04 LTS.
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: blast2, lynx, ruby
 Enhances: t-coffee

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Build rules for the Debian package mafft.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with quilt

override_dh_auto_build:
	$(MAKE) -C core PREFIX=/usr/lib/mafft ENABLE_MULTITHREAD=-Denablemultithread LIBDIR=/usr/lib/mafft/lib/mafft

override_dh_clean:
	[ ! -f core/Makefile ] || $(MAKE) -C core clean
	rm -rf binaries/* scripts/*
	dh_clean

MAFFT = MAFFT_BINARIES=$(CURDIR)/binaries scripts/mafft

override_dh_install:
	$(MAKE) -C core PREFIX=$(CURDIR)/debian/mafft/usr/lib/mafft MANDIR=$(CURDIR)/debian/mafft/usr/share/man/man1 LIBDIR=$(CURDIR)/debian/mafft/usr/lib/mafft/lib/mafft install
	rm $(CURDIR)/debian/mafft/usr/lib/mafft/lib/mafft/*.1
	# Testing Mafft…
	$(MAFFT) 				test/sample | diff test/sample.fftns2 -
	$(MAFFT) --maxiterate 100 		test/sample | diff test/sample.fftnsi -
	$(MAFFT) --globalpair 			test/sample | diff test/sample.gins1 -
	$(MAFFT) --globalpair --maxiterate 100	test/sample | diff test/sample.ginsi -
	$(MAFFT) --localpair			test/sample | diff test/sample.lins1 -
	$(MAFFT) --localpair --maxiterate 100	test/sample | diff test/sample.linsi -

override_dh_builddeb:
	dh_builddeb -- -Z xz

=== debian/watch ===
version=3
http://mafft.cbrc.jp/alignment/software/source.html mafft-(.*)-with-extensions-src.tgz

## mafft 6.940

=== core/Makefile ===
--- 
+++ 
@@ -5,16 +5,18 @@
 
 #MNO_CYGWIN = -mno-cygwin
 
-#ENABLE_MULTITHREAD = -Denablemultithread
-#Uncomment this to enable multithreading (linux only)
+ENABLE_MULTITHREAD = -Denablemultithread
+# Comment out the above line if your compiler 
+# does not support TLS (thread-local strage).
 
 CC = gcc
 CFLAGS = -O3
 #CFLAGS =  -O0  -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3
+#CFLAGS =  -O0  -pedantic -Wall -std=c99 -g -DMALLOC_CHECK_=3 # for shark
 
 MYCFLAGS = $(MNO_CYGWIN) $(ENABLE_MULTITHREAD) $(CFLAGS)
 
-ifeq ($(ENABLE_MULTITHREAD),-Denablemultithread)
+ifdef ENABLE_MULTITHREAD
 LIBS = -lm  -lpthread
 else
 LIBS = -lm
@@ -23,10 +25,11 @@
 INSTALL = install
 
 PROGS = dvtditr dndfast7 dndblast sextet5 mafft-distance pairlocalalign \
-		pair2hat3s multi2hat3s rnatest pairash \
+		pair2hat3s multi2hat3s rnatest pairash addsingle \
         splittbfast disttbfast tbfast mafft-profile f2cl mccaskillwrap contrafoldwrap countlen \
-		seq2regtable regtable2seq score getlag dndpre dndpre2 setcore replaceu restoreu version
+		seq2regtable regtable2seq score getlag dndpre dndpre2 setcore replaceu restoreu setdirection makedirectionlist version
 SCRIPTS = mafft mafft-homologs.rb
+OBJSETDIRECTION = mtxutl.o io.o setdirection.o defs.o mltaln9.o
 OBJREPLACEU = mtxutl.o io.o replaceu.o defs.o mltaln9.o
 OBJRESTOREU = mtxutl.o io.o restoreu.o defs.o mltaln9.o
 OBJREGTABLE2SEQ = mtxutl.o io.o regtable2seq.o defs.o mltaln9.o
@@ -65,9 +68,15 @@
 OBJDISTTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			disttbfast.o defs.o fft.o fftFunctions.o addfunctions.o
+OBJMAKEDIRECTIONLIST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
+			makedirectionlist.o defs.o fft.o fftFunctions.o addfunctions.o
 OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			tbfast.o defs.o fft.o fftFunctions.o addfunctions.o
+OBJADDSINGLE = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
+			addsingle.o defs.o fft.o fftFunctions.o addfunctions.o
 OBJTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o MSalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			tbfast2.o defs.o fft.o fftFunctions.o
@@ -119,7 +128,7 @@
 univscript: univscript.tmpl Makefile
 	sed "s:_PROGS:$(PROGS):" univscript.tmpl  > univscript
 
-mafft: mafft.tmpl
+mafft: mafft.tmpl mltaln.h
 	sed "s:_LIBDIR:$(LIBDIR):" mafft.tmpl  > mafft
 
 mafft-homologs.rb: mafft-homologs.tmpl
@@ -129,18 +138,24 @@
 mltaln.h : functions.h
 	touch mltaln.h
 
-version : version.c
+version : version.c mltaln.h
 	$(CC) -o $@ version.c $(MYCFLAGS)
 
 tbfast : $(OBJTBFAST)
 	$(CC) -o $@ $(OBJTBFAST) $(MYCFLAGS) $(LIBS)
 
+addsingle : $(OBJADDSINGLE)
+	$(CC) -o $@ $(OBJADDSINGLE) $(MYCFLAGS) $(LIBS)
+
 tbfast2 : $(OBJTBFAST2)
 	$(CC) -o $@ $(OBJTBFAST2) $(MYCFLAGS) $(LIBS)
 
 disttbfast : $(OBJDISTTBFAST)
 	$(CC) -o $@ $(OBJDISTTBFAST) $(MYCFLAGS) $(LIBS)
 
+makedirectionlist : $(OBJMAKEDIRECTIONLIST)
+	$(CC) -o $@ $(OBJMAKEDIRECTIONLIST) $(MYCFLAGS) $(LIBS)
+
 splittbfast : $(OBJSPLITTBFAST)
 	$(CC) -o $@ $(OBJSPLITTBFAST) $(MYCFLAGS) $(LIBS)
 
@@ -165,6 +180,9 @@
 regtable2seq : $(OBJREGTABLE2SEQ)
 	$(CC) -o $@ $(OBJREGTABLE2SEQ) $(MYCFLAGS) $(LIBS)
 
+setdirection : $(OBJSETDIRECTION)
+	$(CC) -o $@ $(OBJSETDIRECTION) $(MYCFLAGS) $(LIBS)
+
 replaceu : $(OBJREPLACEU)
 	$(CC) -o $@ $(OBJREPLACEU) $(MYCFLAGS) $(LIBS)
 
@@ -262,47 +280,3 @@
 	$(CC) -o $@ $(OBJDNDPRESCORE) $(MYCFLAGS) $(LIBS)
 
 score : $(OBJSCORE)
-	$(CC) -o $@ $(OBJSCORE) $(MYCFLAGS) $(LIBS)
-
-genMtx : $(OBJGENMTX)
-	$(CC) -o $@ $(OBJGENMTX) $(MYCFLAGS) $(LIBS)
-
-gapfill.o : gapfill.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c gapfill.c
-
-mltaln9.o : mltaln9.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c mltaln9.c
-
-tddis.o : tddis.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c tddis.c
-
-constants.o : constants.c miyata.h miyata5.h blosum.c DNA.h JTT.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c constants.c
-
-defs.o : defs.c 
-	$(CC) $(MYCFLAGS) -c defs.c
-
-#A+++alignmm.o : SA+++alignmm.c $(HEADER)
-#	$(CC) $(MYCFLAGS) -c SA+++alignmm.c -o A+++alignmm.o
-
-Salignmm.o : Salignmm.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c Salignmm.c 
-
-Halignmm.o : Halignmm.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c Halignmm.c 
-
-Ralignmm.o : Ralignmm.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c Ralignmm.c 
-
-Qalignmm.o : Qalignmm.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c Qalignmm.c 
-
-MSalignmm.o : MSalignmm.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c MSalignmm.c 
-
-partSalignmm.o : partSalignmm.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c partSalignmm.c  
-
-partQalignmm.o : partQalignmm.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c partQalignmm.c  
-

=== debian/changelog ===
mafft (6.940-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream release (no new license nor copyright statement).
  * Removed unnecessary build-dependance on quilt.
  * Test for regressions with autopkgtest insted of doing it at build time.
    (debian/control, debian/tests/control, debian/tests/with-example-data)
  * debian/control:
    - Removed 'Pre-Depends: dpkg (>= 1.15.6)' now that Ubuntu LTS 12.04 is out.
    - Increment Standards-Version to show conformance with Policy 3.9.4.
    - Removed DM-Upload-Allowed field.
    - Normalised with the command cme fix dpkg-control.
    - Use Debhelper 9 (also debian/compat).
  * Pass dpkg build flags in debian/rules.

  [ Andreas Tille ]
  * debian/upstream:
     - Single Reference field instead of Reference-*
     - Add additional reference from tasks file
     - Authors in BibTeX conform format

 -- Charles Plessy <plessy@debian.org>  Sun, 14 Oct 2012 15:42:54 +0900

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: mafft
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Charles Plessy <plessy@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Charles Plessy <plessy@debian.org>,
- Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), quilt (>= 0.47)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.4
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mafft/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mafft/trunk/
 Homepage: http://mafft.cbrc.jp/alignment/software/
 
 Package: mafft
 Architecture: any
-# Needed until after Ubuntu 12.04 LTS.
-Pre-Depends: dpkg (>= 1.15.6)
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: blast2, lynx, ruby
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Recommends: blast2,
+            lynx,
+            ruby
 Enhances: t-coffee
 Description: Multiple alignment program for amino acid or nucleotide sequences
  MAFFT is a multiple sequence alignment program which offers three
@@ -37,3 +37,4 @@
     method with a rough guide tree),
   * NW-NS-PartTree-1 (recommended for ∼50,000 sequences; progressive
     method with the PartTree algorithm).
+

## mafft 7.123

=== core/Makefile ===
--- 
+++ 
@@ -11,8 +11,14 @@
 
 CC = gcc
 CFLAGS = -O3
+
+#CC = icc
+#CFLAGS = -fast
+# if you have icc, use this.
+
 #CFLAGS =  -O0  -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3
 #CFLAGS =  -O0  -pedantic -Wall -std=c99 -g -DMALLOC_CHECK_=3 # for shark
+
 
 MYCFLAGS = $(MNO_CYGWIN) $(ENABLE_MULTITHREAD) $(CFLAGS)
 
@@ -27,7 +33,8 @@
 PROGS = dvtditr dndfast7 dndblast sextet5 mafft-distance pairlocalalign \
 		pair2hat3s multi2hat3s rnatest pairash addsingle \
         splittbfast disttbfast tbfast mafft-profile f2cl mccaskillwrap contrafoldwrap countlen \
-		seq2regtable regtable2seq score getlag dndpre dndpre2 setcore replaceu restoreu setdirection makedirectionlist version
+		seq2regtable regtable2seq score getlag dndpre setcore replaceu restoreu setdirection makedirectionlist version
+PERLPROGS = mafftash_premafft.pl
 SCRIPTS = mafft mafft-homologs.rb
 OBJSETDIRECTION = mtxutl.o io.o setdirection.o defs.o mltaln9.o
 OBJREPLACEU = mtxutl.o io.o replaceu.o defs.o mltaln9.o
@@ -70,7 +77,7 @@
 			disttbfast.o defs.o fft.o fftFunctions.o addfunctions.o
 OBJMAKEDIRECTIONLIST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
-			makedirectionlist.o defs.o fft.o fftFunctions.o addfunctions.o
+			Lalign11.o makedirectionlist.o defs.o fft.o fftFunctions.o addfunctions.o
 OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			tbfast.o defs.o fft.o fftFunctions.o addfunctions.o
@@ -88,7 +95,7 @@
 		   tditeration.o tditr.o defs.o SAalignmm.o treeOperation.o
 OBJDVTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o  partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 			Falign.o Falign_localhom.o Galign11.o MSalignmm.o fftFunctions.o fft.o  \
-			tditeration.o dvtditr.o defs.o SAalignmm.o treeOperation.o
+			tditeration.o dvtditr.o defs.o SAalignmm.o treeOperation.o addfunctions.o
 OBJGETLAG = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			getlag.o defs.o fft.o fftFunctions.o
@@ -105,7 +112,6 @@
 OBJTRIPLET5 = io.o constants.o mtxutl.o mltaln9.o tddis.o triplet5.o defs.o
 OBJOCTET4 = io.o constants.o mtxutl.o mltaln9.o tddis.o octet4.o defs.o
 OBJDNDPRE = dndpre.o io.o constants.o mtxutl.o mltaln9.o defs.o
-OBJDNDPRESCORE = dndpre2.o io.o constants.o mtxutl.o mltaln9.o defs.o
 OBJGALN = io.o mtxutl.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o MSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
           SAalignmm.o Galign11.o Falign.o Falign_localhom.o fftFunctions.o fft.o mafft-profile.o defs.o
 OBJSCORE = io.o mtxutl.o mltaln9.o score.o constants.o defs.o
@@ -117,10 +123,10 @@
 
 
 
-all : $(PROGS) $(SCRIPTS)
+all : $(PERLPROGS) $(PROGS) $(SCRIPTS)
 	cp $(SCRIPTS) ../scripts
 	chmod 755 ../scripts/*
-	cp $(PROGS) ../binaries
+	cp $(PERLPROGS) $(PROGS) ../binaries
 	chmod 755 ../binaries/*
 	cp $(MANPAGES) ../binaries
 	@echo done.
@@ -139,144 +145,123 @@
 	touch mltaln.h
 
 version : version.c mltaln.h
-	$(CC) -o $@ version.c $(MYCFLAGS)
+	$(CC) -o $@ version.c $(MYCFLAGS) $(LDFLAGS)
 
 tbfast : $(OBJTBFAST)
-	$(CC) -o $@ $(OBJTBFAST) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJTBFAST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 addsingle : $(OBJADDSINGLE)
-	$(CC) -o $@ $(OBJADDSINGLE) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJADDSINGLE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 tbfast2 : $(OBJTBFAST2)
-	$(CC) -o $@ $(OBJTBFAST2) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJTBFAST2) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 disttbfast : $(OBJDISTTBFAST)
-	$(CC) -o $@ $(OBJDISTTBFAST) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDISTTBFAST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 makedirectionlist : $(OBJMAKEDIRECTIONLIST)
-	$(CC) -o $@ $(OBJMAKEDIRECTIONLIST) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJMAKEDIRECTIONLIST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 splittbfast : $(OBJSPLITTBFAST)
-	$(CC) -o $@ $(OBJSPLITTBFAST) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSPLITTBFAST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 splitfromaln : $(OBJSPLITFROMALN)
-	$(CC) -o $@ $(OBJSPLITFROMALN) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSPLITFROMALN) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 splittbfast2 : $(OBJSPLITTBFAST2)
-	$(CC) -o $@ $(OBJSPLITTBFAST2) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSPLITTBFAST2) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dummy : $(OBJDUMMY)
-	$(CC) -o $@ $(OBJDUMMY) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDUMMY) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 setcore : $(OBJSETCORE)
-	$(CC) -o $@ $(OBJSETCORE) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSETCORE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 countlen : $(OBJCOUNTLEN)
-	$(CC) -o $@ $(OBJCOUNTLEN) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJCOUNTLEN) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 seq2regtable : $(OBJSEQ2REGTABLE)
-	$(CC) -o $@ $(OBJSEQ2REGTABLE) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSEQ2REGTABLE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 regtable2seq : $(OBJREGTABLE2SEQ)
-	$(CC) -o $@ $(OBJREGTABLE2SEQ) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJREGTABLE2SEQ) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 setdirection : $(OBJSETDIRECTION)
-	$(CC) -o $@ $(OBJSETDIRECTION) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSETDIRECTION) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 replaceu : $(OBJREPLACEU)
-	$(CC) -o $@ $(OBJREPLACEU) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJREPLACEU) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 restoreu : $(OBJRESTOREU)
-	$(CC) -o $@ $(OBJRESTOREU) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJRESTOREU) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 f2cl : $(OBJF2CL)
-	$(CC) -o $@ $(OBJF2CL) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJF2CL) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 mccaskillwrap : $(OBJMCCASKILLWRAP)
-	$(CC) -o $@ $(OBJMCCASKILLWRAP) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJMCCASKILLWRAP) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 contrafoldwrap : $(OBJCONTRAFOLDWRAP)
-	$(CC) -o $@ $(OBJCONTRAFOLDWRAP) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJCONTRAFOLDWRAP) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 pairlocalalign : $(OBJPAIRLOCALALIGN)
-	$(CC) -o $@ $(OBJPAIRLOCALALIGN) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJPAIRLOCALALIGN) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 pairash : $(OBJPAIRASH)
-	$(CC) -o $@ $(OBJPAIRASH) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJPAIRASH) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 rnatest : $(OBJRNATEST)
-	$(CC) -o $@ $(OBJRNATEST) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJRNATEST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 pair2hat3s : $(OBJPAIR2HAT3S)
-	$(CC) -o $@ $(OBJPAIR2HAT3S) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJPAIR2HAT3S) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 multi2hat3s : $(OBJMULTI2HAT3S)
-	$(CC) -o $@ $(OBJMULTI2HAT3S) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJMULTI2HAT3S) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 getlag : $(OBJGETLAG)
-	$(CC) -o $@ $(OBJGETLAG) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJGETLAG) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 tditr : $(OBJTDITR)
-	$(CC) -o $@ $(OBJTDITR) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJTDITR) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dvtditr : $(OBJDVTDITR)
-	$(CC) -o $@ $(OBJDVTDITR) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDVTDITR) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 mafft-profile : $(OBJGALN)
-	$(CC) -o $@ $(OBJGALN) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJGALN) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 gapfill : $(OBJGAPFILL)
-	$(CC) -o $@ $(OBJGAPFILL) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJGAPFILL) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dndfast4 : $(OBJDNDFAST4)
-	$(CC) -o $@ $(OBJDNDFAST4) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDNDFAST4) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dndfast5 : $(OBJDNDFAST5)
-	$(CC) -o $@ $(OBJDNDFAST5) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDNDFAST5) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dndfast6 : $(OBJDNDFAST6)
-	$(CC) -o $@ $(OBJDNDFAST6) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDNDFAST6) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dndfast7 : $(OBJDNDFAST7)
-	$(CC) -o $@ $(OBJDNDFAST7) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDNDFAST7) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dndblast : $(OBJDNDBLAST)
-	$(CC) -o $@ $(OBJDNDBLAST) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDNDBLAST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dndfast3 : $(OBJDNDFAST3)
-	$(CC) -o $@ $(OBJDNDFAST3) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDNDFAST3) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 triplet : $(OBJTRIPLET)
-	$(CC) -o $@ $(OBJTRIPLET) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJTRIPLET) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 triplet3 : $(OBJTRIPLET3)
-	$(CC) -o $@ $(OBJTRIPLET3) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJTRIPLET3) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 sextet3 : $(OBJSEXTET3)
-	$(CC) -o $@ $(OBJSEXTET3) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSEXTET3) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 sextet4 : $(OBJSEXTET4)
-	$(CC) -o $@ $(OBJSEXTET4) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSEXTET4) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 sextet5 : $(OBJSEXTET5)
-	$(CC) -o $@ $(OBJSEXTET5) $(MYCFLAGS) $(LIBS)
-
-mafft-distance : $(OBJDISTANCE)
-	$(CC) -o $@ $(OBJDISTANCE) $(MYCFLAGS) $(LIBS)
-
-triplet5 : $(OBJTRIPLET5)
-	$(CC) -o $@ $(OBJTRIPLET5) $(MYCFLAGS) $(LIBS)
-
-triplet6 : $(OBJTRIPLET6)
-	$(CC) -o $@ $(OBJTRIPLET6) $(MYCFLAGS) $(LIBS)
-
-octet4 : $(OBJOCTET4)
-	$(CC) -o $@ $(OBJOCTET4) $(MYCFLAGS) $(LIBS)
-
-dndpre : $(OBJDNDPRE)
-	$(CC) -o $@ $(OBJDNDPRE) $(MYCFLAGS) $(LIBS)
-
-dndpre2 : $(OBJDNDPRESCORE)
-	$(CC) -o $@ $(OBJDNDPRESCORE) $(MYCFLAGS) $(LIBS)
-
-score : $(OBJSCORE)

=== debian/changelog ===
mafft (7.123-1) unstable; urgency=low

  * New upstream version.
  * Correct watch file, which was downloading the non-free version.
    This error did not affect the current stable release of Debian.
  * debian/tests/with-example-data: disable multithreading to stabilise output.

 -- Charles Plessy <plessy@debian.org>  Wed, 16 Oct 2013 08:22:20 +0900

mafft (7.058-1) unstable; urgency=low

  * New upstream version incorporated debian/patches
    Closes: #715827, #715830, #715831, #715847, #715881

 -- Andreas Tille <tille@debian.org>  Sun, 04 Aug 2013 08:51:10 +0200

mafft (7.055-1) unstable; urgency=low

  [ Charles Plessy ]
  * Signal the use of autopkgtest in debian/control (closes: #692683).

  [ Andreas Tille ]
  * New upstream version
  * debian/README.source: removed because redundant
  * debian/patches/hardening.patch: Enable propagation of hardening
    options
  * debian/control: use anonscm in Vcs fields

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jul 2013 13:39:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Priority: optional
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.4
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mafft/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mafft/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mafft/trunk/
 Homepage: http://mafft.cbrc.jp/alignment/software/
+XS-Testsuite: autopkgtest
 
 Package: mafft
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Build rules for the Debian package mafft.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C core PREFIX=/usr/lib/mafft ENABLE_MULTITHREAD=-Denablemultithread LIBDIR=/usr/lib/mafft/lib/mafft CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

override_dh_clean:
	[ ! -f core/Makefile ] || $(MAKE) -C core clean
	rm -rf binaries/* scripts/*
	dh_clean

MAFFT = MAFFT_BINARIES=$(CURDIR)/binaries scripts/mafft

override_dh_install:
	$(MAKE) -C core PREFIX=$(CURDIR)/debian/mafft/usr/lib/mafft MANDIR=$(CURDIR)/debian/mafft/usr/share/man/man1 LIBDIR=$(CURDIR)/debian/mafft/usr/lib/mafft/lib/mafft install
	rm $(CURDIR)/debian/mafft/usr/lib/mafft/lib/mafft/*.1

override_dh_compress:
	dh_compress -X test/sample

override_dh_builddeb:
	dh_builddeb -- -Z xz

## mafft 7.127

=== debian/changelog ===
mafft (7.127-1) unstable; urgency=low

  * New upstream release.
  * debian/tests/with-example-data: Don't write progress to stderr on success.
    Closes: #728190, thanks to Martin Pitt <martin.pitt@ubuntu.com>.
  * Conforms with Policy 3.9.5.
  * Pass CPPFLAGS within CFLAGS.

 -- Charles Plessy <plessy@debian.org>  Sat, 30 Nov 2013 17:30:14 +0900

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
+XS-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mafft/trunk/
 Homepage: http://mafft.cbrc.jp/alignment/software/
-XS-Testsuite: autopkgtest
 
 Package: mafft
 Architecture: any
@@ -38,4 +38,3 @@
     method with a rough guide tree),
   * NW-NS-PartTree-1 (recommended for ∼50,000 sequences; progressive
     method with the PartTree algorithm).
-
